# Makefile for client test program - PKTR rpc calls
# Version 20.03.95
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.4 CC = CC         CCL = CC         LM = -lsocket -lnsl

HDRS = project.def \
	prolog.h \
	srvcore.h \
	swaplib.h \
	hstlib.h \
	globals.h \
	dbtools.h \
	toolkit.h \
	errors.h \
	tinetype.h \
	tinedefs.h \
	almlib.h

CFLAGS          = 
CPU             = MC68LC040
TOOL            = gnu
CC              =  cc68k -c -I $(WIND_BASE)/target/h -nostdinc -DCPU=MC68040 -m68040 -fno-builtin -O


#include $(WIND_BASE)/target/h/make/defs.bsp
#include $(WIND_BASE)/target/h/make/make.$(CPU)$(TOOL)
#include $(WIND_BASE)/target/h/make/defs.$(WIND_HOST_TYPE)


CCL = ld68k
LM = 

tineLib.o: server.o srvip.o srvdbase.o srvquery.o hstlib.o toolkit.o client.o clnip.o iplib.o dblib.o dbtools.o errlist.o swaplib.o almlib.o syslib.o ttycmd.o tcycler.o
	${CCL} -o tineLib.o -r server.o srvip.o srvdbase.o srvquery.o hstlib.o toolkit.o client.o clnip.o iplib.o dblib.o dbtools.o errlist.o swaplib.o almlib.o syslib.o ttycmd.o tcycler.o ${LM}

server.o: server.c ${HDRS}
	${CC} $(CFLAGS) server.c

srvip.o: srvip.c ${HDRS} srvip.h
	${CC} $(CFLAGS) srvip.c

srvdbase.o: srvdbase.c ${HDRS}
	${CC} $(CFLAGS) srvdbase.c

srvquery.o: srvquery.c ${HDRS}
	${CC} $(CFLAGS) srvquery.c

hstlib.o: hstlib.c ${HDRS}
	${CC} $(CFLAGS) hstlib.c

toolkit.o: toolkit.c ${HDRS}
	${CC} $(CFLAGS) toolkit.c

client.o: client.c ${HDRS}
	${CC} $(CFLAGS) client.c

clnip.o: clnip.c ${HDRS} srvip.h
	${CC} $(CFLAGS) clnip.c

iplib.o: iplib.c ${HDRS} srvip.h
	${CC} $(CFLAGS) iplib.c

dblib.o: dblib.c ${HDRS}
	${CC} $(CFLAGS) dblib.c

dbtools.o: dbtools.c ${HDRS}
	${CC} $(CFLAGS) dbtools.c

almlib.o:  almlib.c ${HDRS}
	${CC} $(CFLAGS) almlib.c

errlist.o: errlist.c errors.h project.def
	${CC} $(CFLAGS) errlist.c

swaplib.o: swaplib.c ${HDRS}
	${CC} $(CFLAGS) swaplib.c 

syslib.o: syslib.c ${HDRS}
	${CC} $(CFLAGS) syslib.c

ttycmd.o: ttycmd.c ${HDRS}
	${CC} $(CFLAGS) ttycmd.c

tcycler.o: tcycler.c ${HDRS}
	${CC} $(CFLAGS) tcycler.c

clean:
	rm -f *.o
